Hermos API

Undo a scheduled whole-subscription cancellation

Customers may undo their own cancellation before its effective time. Merchants supply reason and note. A processor-dashboard clear and re-schedule coalesced before the next fetch cannot be distinguished from the customer cancellation; customer undo also clears it and billing continues. Line and schedule-managed undo are not yet available.

POST/subscriptions/{subscription}/undo_cancel

Customers may undo their own cancellation before its effective time. Merchants supply reason and note. A processor-dashboard clear and re-schedule coalesced before the next fetch cannot be distinguished from the customer cancellation; customer undo also clears it and billing continues. Line and schedule-managed undo are not yet available.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

subscription*string

Opaque subscription ID.

Match^sbs_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/subscriptions/string/undo_cancel" \  -H "Content-Type: application/json" \  -d '{}'
{  "subscription_ids": [    "string"  ],  "item_ids": [    "string"  ],  "timing": "now",  "steps": [    {      "seq": 1,      "name": "cancelSubscription",      "args": {        "property1": null,        "property2": null      }    }  ],  "action_hash": "string"}